BDSSA: ETL job fails after upgrading TSSA 8.9 to a later Service Pack - java.sql.SQLException: ORA-20104: DW Schema should be equal to or at higher version than OM Schema

Version 4
    Share This:

    This document contains official content from the BMC Software Knowledge Base. It is automatically updated when the knowledge article is modified.


    PRODUCT:

    BMC Decision Support - Server Automation (5 Viewer, 1 Query License)


    APPLIES TO:

    BDSSA 8.9.00



    PROBLEM:

    TSSA/BSA and BDSSA were both previously running 8.9 and ETL was running to completion.

    TSSA was upgraded to an 8.9 Service Pack (8.9.01, 8.9.02, 8.9.03, 8.9.04.x) and now ETL fails with the following error:

    ORACLE:

    ODI-1228: Task CHECK_CONFIGURATION (Procedure) fails on the target ORACLE connection BSA_phy_dw_svr_site1. 
    Caused By: java.sql.SQLException: ORA-20104: DW Schema should be equal to or at higher version than OM Schema 
    ORA-06512: at line 43

    SQL Server:
    ODI-1228: Task CHECK_CONFIGURATION (Procedure) fails on the target MICROSOFT_SQL_SERVER connection BSA_phy_dw_svr_site1. 
    Caused By: com.microsoft.sqlserver.jdbc.SQLServerException: DW schema version should be greater than or equal to OM schema.


    CAUSE:

    BDSSA 8.9 must have a hotfix applied in order to be compatible with 8.9 Service Packs and Patches


    SOLUTION:

    BDSSA 8.9 must have a corresponding "Enablement Hotfix" applied in order for it to be compatible with any TSSA 8.9 Service Pack or Patch.

    Please see the following documentation for details on where to download the latest BDSSA 8.9 hotfix

    https://docs.bmc.com/docs/display/bdssa89/Prerequisite+for+using+BMC+Decision+Support+for+Server+Automation+8.9.00+with+BMC+Server+Automation


    Note from doc (also applied to TSSA 8.9.04.002):

    Important

      

    BMC Decision Support for Server Automation version 8.9.00 is not compatible with BMC Server Automation 8.9.01, 8.9.01.001, 8.9.02 or TrueSight Server Automation 8.9.03, 8.9.03.001, 8.9.04, or 8.9.04.001. To use BMC Server Automation 8.9.01, 8.9.01.001, 8.9.01.002, 8.9.02 or TrueSight Server Automation 8.9.03, 8.9.03.001, 8.9.04, or 8.9.04.001 with BMC Decision Support for Server Automation, you must apply a hotfix on BMC Decision Support for Server Automation 8.9.00.

     


    Article Number:

    000136956


    Article Type:

    Solutions to a Product Problem



      Looking for additional information?    Search BMC Support  or  Browse Knowledge Articles